%define major 8
%define libname %mklibname ticonv %{major}
%define develname %mklibname ticonv -d

Name:           libticonv
Version:        1.1.5
Release:        %mkrel 4
Summary:        Texas Instruments calculators charsets library
Group:          System/Libraries
License:        GPLv2+
URL:            https://sourceforge.net/projects/tilp/
Source0:        https://download.sourceforge.net/tilp/%{name}-%{version}.tar.bz2
BuildRequires:  glib2-devel

%package -n %{libname}
Group:          System/Libraries
Summary:        Texas Instruments calculators charsets library
Provides:       %{name} = %{version}-%{release}

%package -n %{develname}
Group:          Development/C
Summary:        Development files for %{name}
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description
The ticonv library is a library capable of conversions between
Texas Instruments character sets and UTF-8/UTF-16 character sets.

%description -n %{libname}
The ticonv library is a library capable of conversions between
Texas Instruments character sets and UTF-8/UTF-16 character sets.

%description -n %{develname}
Include files and libraries for linking and developing
applications using libticonv.

%prep
%setup -q

# Fix wrong EOF encodings.
sed -i 's/\r$//' \
        README \
        ChangeLog \
        AUTHORS \
        docs/html/clean.bat \
        docs/html/style.css

#silence autoreconf warning
mkdir -p m4

%build
autoreconf -vfi
%configure \
	--disable-static \
	--enable-iconv
%make_build

%check
make check

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

#handle docs in files section
rm -rf %{buildroot}%{_docdir}

%files -n %{libname}
%doc README AUTHORS ChangeLog
%{_libdir}/libticonv.so.%{major}
%{_libdir}/libticonv.so.%{major}.*

%files -n %{develname}
%doc docs/html/
%doc docs/charsets/
%{_libdir}/libticonv.so
%{_libdir}/pkgconfig/ticonv.pc
%{_includedir}/tilp2/


%changelog
* Thu Mar 17 2022 umeabot <umeabot> 1.1.5-4.mga9
+ Revision: 1795143
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 1.1.5-3.mga8
+ Revision: 1514551
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.1.5-2.mga7
+ Revision: 1299186
- Mageia 7 Mass Rebuild

* Sun Jan 01 2017 wally <wally> 1.1.5-1.mga6
+ Revision: 1079425
- new version 1.1.5
- new libmajor 8

* Thu Sep 22 2016 zezinho <zezinho> 1.1.4-2.mga6
+ Revision: 1055190
- add provides to devel package

* Thu Sep 22 2016 wally <wally> 1.1.4-1.mga6
+ Revision: 1055127
- add lib major check to files section
- fix build (use configure2_5x macro)
+ zezinho <zezinho>
- fix major version and configure
- try to follow mageia libs policy
- imported package libticonv


* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Mar 4 2015 'Ben Rosser' <rosser.bjr@gmail.com> 1.1.4-5
- Switched to using global instead of define for macros.
- Package now owns its documentation directory.
- Tests are now ran in the check section of the specfile.

* Fri Feb 27 2015 'Ben Rosser' <rosser.bjr@gmail.com> 1.1.4-4
- Fixed doc subpackage to be noarch and not contain duplicate files.

* Mon Feb 16 2015 'Ben Rosser' <rosser.bjr@gmail.com> 1.1.4-3
- Added a doc subpackage for the HTML documentation.

* Tue Feb 10 2015 'Ben Rosser' <rosser.bjr@gmail.com> 1.1.4-2
- Added license tag for COPYING license text.

* Mon Feb 2 2015 'Ben Rosser' <rosser.bjr@gmail.com> 1.1.4-1
- Updated to latest upstream tilp version

* Wed Jul 11 2012 'Ben Rosser' <rosser.bjr@gmail.com> 1.1.3-5
- Added full documentation, built by tfdocgen

* Wed Jun 20 2012 'Ben Rosser' <rosser.bjr@gmail.com> 1.1.3-4
- Removed libtool archives from compilation
- Added versioned Require for libticonv-devel

* Tue Jun 19 2012 'Ben Rosser' <rosser.bjr@gmail.com> 1.1.3-3
- devel subpackage now requires the parent package, as is proper

* Tue Jun 19 2012 'Ben Rosser' <rosser.bjr@gmail.com> 1.1.3-2
- Added libticonv-devel subpackage
- Fixed description line's length

* Tue Jun 19 2012 'Ben Rosser' <rosser.bjr@gmail.com> 1.1.3-1
- libticonv will take ownership of /usr/include/tilp2

* Tue Jun 19 2012 'Ben Rosser' <rosser.bjr@gmail.com> 1.1.3-0
- Updated to 1.1.3, vastly improved specfile

* Sat Jul 30 2011 'Ben Rosser' <rosser.bjr@gmail.com> 1.1.2-0
- Initial version of the package
